Redmine - Feature #27070

Allow setting "Parent issue" attribute in emails

2017-09-25 14:11 - Brandon Tarney

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

Feature: Set the "Parent task" of an issue generated via email to redmine.

Context: | am able to set project, tracker, priority, status, element, and estimated time fields but not "Parent task" by using
colon-separated fields in the body of the email. | am able to set "Parent task" manually on-creation of a redmine issue or when
editing an issue, so | know this functionality works in my current redmine setup.

i.e. | send the following email-body to redmine, and it properly sets all fields except "Parent task”

Description: Trying to set parent task as part of this email-generated redmine ticket

Project: test-project
Tracker: Task
Priority: 3 - Normal
Status: New

Parent Task: 10871
Element: Data Management
Estimated time: 9
Parent task: 10871
Parent Task: 10871
parent: 10871

Parent: 10871
Parent_Task: 10871
Parent_task: 10871
Parent_Id: 10871
Parent Id: 10871
Parent_id: 10871
Parent id: 10871

Related issues:

Related to Redmine - Feature #19732: create subtask from mail

Closed

Associated revisions

Revision 17304 - 2018-04-24 04:40 - Go MAEDA

Allow setting "Parent issue" attribute in emails (#27070).

Patch by Mizuki ISHIKAWA.

Revision 17305 - 2018-04-24 07:01 - Go MAEDA
Fix mistakenly tampered fixture file (#27070).

History

#1 - 2017-09-25 17:22 - Toshi MARUYAMA

- Category set to Email receiving

#2 - 2017-09-25 17:24 - Toshi MARUYAMA
- Description updated

#3 - 2017-10-01 01:09 - Mischa The Evil

FTR & FWIW: this request arose from Set 'Parent task' attribute via email issue creation (and indirectly from Incoming email - Parent Issue).
https://www.redmine.org/boards/2/topics/49619

#4 - 2017-10-03 09:17 - Go MAEDA
- Assignee set to Go MAEDA

- Target version set to Candidate for next major release
| think this feature should have been implemented along with #443.

#5 - 2017-10-03 11:24 - Go MAEDA

- Related to Feature #19732: create subtask from mail added

#6 - 2017-10-03 11:24 - Go MAEDA
- Assignee deleted (Go MAEDA)

#7 - 2018-04-11 06:10 - Mizuki ISHIKAWA
- File add_parent _issue.patch added

| wrote a patch to set the "parent task" attribute by email.

example:

parent issue: 1(id of parent issue)
You can also use the following key.

® parent issue

¢ Parentissue

e parent_issue

e String set in "field_parent_issue" in the language you are using.
o In the case of en: Parent task
o In the case of fr: TAche parente
o In the case of ja: 00000

#8 - 2018-04-12 00:33 - Go MAEDA
- Target version changed from Candidate for next major release to 4.1.0
Mizuki ISHIKAWA wrote:

| wrote a patch to set the "parent task" attribute by email.

LGTM, setting target version to 4.1.0.

#9 - 2018-04-24 04:46 - Go MAEDA

- Subject changed from Set 'Parent task' attribute via email issue creation to Allow setting "Parent issue" attribute in emails
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. You can set parent issue in incoming emails by using "Parent issue" or other language dependent keywords (e.g. "Parent task", "Tache
parente”, "00000", etc).

Thank you for your contribution.

Files

add_parent_issue.patch 3.16 KB 2018-04-11 Mizuki ISHIKAWA
